python promblems

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

python promblems

Bernt Hansson-2
Hello list!

After a upgrade of firefox pycam is no longer working.

The error is this:

Failed to initialize the interactive 3D model view.
Please install 'python-gtkglext1' to enable it.

pkg info | grep py27:

py27-gtkglext-1.1.0_12         Python binding for GtkGLExt

What to do now. Pycam was working nice before.
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: python promblems

John Levine
In article <[hidden email]> you write:
>Failed to initialize the interactive 3D model view.
>Please install 'python-gtkglext1' to enable it.
>
>pkg info | grep py27:
>
>py27-gtkglext-1.1.0_12         Python binding for GtkGLExt
>
>What to do now. Pycam was working nice before.

Try uninstalling the library it and reinstalling it.  That often fixes
problems due to shared library names or locations changing.

_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: python promblems

Bernt Hansson-2
On 2017-08-13 00:19, John Levine wrote:

> In article <[hidden email]> you write:
>> Failed to initialize the interactive 3D model view.
>> Please install 'python-gtkglext1' to enable it.
>>
>> pkg info | grep py27:
>>
>> py27-gtkglext-1.1.0_12         Python binding for GtkGLExt
>>
>> What to do now. Pycam was working nice before.
> Try uninstalling the library it and reinstalling it.  That often fixes
> problems due to shared library names or locations changing.
>
>
What library might that be?
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: python promblems

John Levine
>>>  pkg info | grep py27:
>>>
>>>  py27-gtkglext-1.1.0_12         Python binding for GtkGLExt
>>>
>>>  What to do now. Pycam was working nice before.
>>  Try uninstalling the library it and reinstalling it.  That often fixes
>>  problems due to shared library names or locations changing.
>>
>>
> What library might that be?

Hard to say.  When you uninstalled and reinstalled py27-gtkglext, what
happened?

Regards,
John Levine, [hidden email], Primary Perpetrator of "The Internet for Dummies",
Please consider the environment before reading this e-mail. https://jl.ly
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: python promblems

Polytropon
In reply to this post by Bernt Hansson-2
On Sun, 13 Aug 2017 11:48:35 +0200, Bernt Hansson wrote:

> On 2017-08-13 00:19, John Levine wrote:
> > In article <[hidden email]> you write:
> >> Failed to initialize the interactive 3D model view.
> >> Please install 'python-gtkglext1' to enable it.
> >>
> >> pkg info | grep py27:
> >>
> >> py27-gtkglext-1.1.0_12         Python binding for GtkGLExt
> >>
> >> What to do now. Pycam was working nice before.
> > Try uninstalling the library it and reinstalling it.  That often fixes
> > problems due to shared library names or locations changing.
> >
> >
> What library might that be?

You can try "ldd <filename>" to find out if you're willing
to go down to library hell. ;-)



--
Polytropon
Magdeburg, Germany
Happy FreeBSD user since 4.0
Andra moi ennepe, Mousa, ...
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: python promblems

Bernt Hansson-2
In reply to this post by John Levine
On 2017-08-13 17:10, John R. Levine wrote:

>>>>  pkg info | grep py27:
>>>>
>>>>  py27-gtkglext-1.1.0_12         Python binding for GtkGLExt
>>>>
>>>>  What to do now. Pycam was working nice before.
>>>  Try uninstalling the library it and reinstalling it.  That often fixes
>>>  problems due to shared library names or locations changing.
>>>
>>>
>> What library might that be?
>
> Hard to say.  When you uninstalled and reinstalled py27-gtkglext, what
> happened?
Not much, if anything. No errors.
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: python promblems

John Levine
>>>>>   pkg info | grep py27:
>>>>>
>>>>>   py27-gtkglext-1.1.0_12         Python binding for GtkGLExt
>>>>>
>>>>>   What to do now. Pycam was working nice before.
>>
>>  Hard to say.  When you uninstalled and reinstalled py27-gtkglext, what
>>  happened?
> Not much, if anything. No errors.

Oh, good, all problems solved.

R's,
John

PS: If you want actual help solving problems like this, you need to say
more than "it doesn't work."  What did you try, what happened, what else
did you try, what other clues have you found, etc.
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[hidden email]"
Loading...